import { Worker as JestWorker } from 'next/dist/compiled/jest-worker';
import '../lib/polyfill-promise-with-resolvers';
type FarmOptions = ConstructorParameters<typeof JestWorker>[1];
type Options<T extends object = object> = FarmOptions & {
    timeout?: number;
    onRestart?: (method: string, args: any[], attempts: number) => void;
    exposedMethods: ReadonlyArray<keyof T>;
    enableWorkerThreads?: boolean;
};
export declare class Worker<T extends object = object> {
    private _worker?;
    /**
     * Creates a new worker with the correct typings associated with the selected
     * methods.
     */
    static create<T extends object>(workerPath: string, options: Options<T>): Worker<T> & T;
    constructor(workerPath: string, options: Options<T>);
    end(): ReturnType<JestWorker['end']>;
    /**
     * Quietly end the worker if it exists
     */
    close(): void;
}
export {};
